Package org.kie.api.cluster

## Class ClusterNode

- java.lang.Object
- - org.kie.api.cluster.ClusterNode

- All Implemented Interfaces:
    `Externalizable`, `Serializable`

      public final class ClusterNode
      extends Object
      implements Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClusterNode()` |
    `ClusterNode​(String serverId, String location)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getLocation()` |
    `String` | `getServerId()` |
    `void` | `readExternal​(ObjectInput input)` |
    `String` | `toKey()` |
    `String` | `toString()` |
    `void` | `writeExternal​(ObjectOutput output)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterNode

          public ClusterNode()

    - #### ClusterNode

          public ClusterNode​(String serverId,
                             String location)

  - ### Method Detail

    - #### getLocation

          public String getLocation()

    - #### getServerId

          public String getServerId()

    - #### toKey

          public String toKey()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### readExternal

          public void readExternal​(ObjectInput input)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeExternal

          public void writeExternal​(ObjectOutput output)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`